Bug 1474958 - Review Request: lammps - Large-scale Atomic/Molecular Massively Parallel Simulator
Review Request: lammps - Large-scale Atomic/Molecular Massively Parallel Simu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 13:06 EDT by Christoph Junghans
Modified: 2017-09-04 13:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 18:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christoph Junghans 2017-07-25 13:06:27 EDT
Spec URL: https://fedorapeople.org/~junghans/lammps.spec
SRPM URL: lammps-20170706-1.fc25.src.rpm
TaskID: https://koji.fedoraproject.org/koji/taskinfo?taskID=20725103
Description: Atomic/Molecular Massively Parallel Simulator.

LAMMPS has potentials for soft materials (biomolecules, polymers) and
solid-state materials (metals, semiconductors) and coarse-grained or
mesoscopic systems. It can be used to model atoms or, more generically, as a
parallel particle simulator at the atomic, meso, or continuum scale.

LAMMPS runs on single processors or in parallel using message-passing
techniques and a spatial-decomposition of the simulation domain. The code is
designed to be easy to modify or extend with new functionality.
Fedora Account System Username: junghans
Comment 1 Christoph Junghans 2017-07-25 13:07:39 EDT
SRPM URL: https://fedorapeople.org/~junghans/lammps-20170706-1.fc25.src.rpm
Comment 2 Antonio Trande 2017-08-14 11:18:04 EDT
Initial comments:

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%else
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

'%global with_python3 1' is used for ??
On Fedora, do you want provide python2 or python3 or both wrappers?

- For epel6 use macros reported in https://fedoraproject.org/wiki/EPEL:Packaging#Python.

- Install '*.py*' files separately in 'python?-lammps' packages.

- Install MPI libraries and header files separately in their own packages:

lammps
lammps-devel (unversiond libs + header files)
lammps-openmpi
lammps-openmpi-devel (OpenMPI unversiond libs + header files)
lammps-mpich
lammps-mpich-devel (MPICH unversiond libs + header files)

- For epel* use 'BuildRequires: cmake3'
Comment 3 Christoph Junghans 2017-08-14 11:31:56 EDT
Thanks for the review!

(In reply to Antonio Trande from comment #2)
> Initial comments:
> 
> %if 0%{?fedora} > 12 || 0%{?rhel} > 6
> %global with_python3 1
> %else
> %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
> %endif
> 
> '%global with_python3 1' is used for ??
> On Fedora, do you want provide python2 or python3 or both wrappers?
Honestly lammps.py works with both, so should I just install 2 same files twice?
> 
> - For epel6 use macros reported in
> https://fedoraproject.org/wiki/EPEL:Packaging#Python.
> 
> - Install '*.py*' files separately in 'python?-lammps' packages.
ok

> 
> - Install MPI libraries and header files separately in their own packages:
> 
> lammps
> lammps-devel (unversiond libs + header files)
> lammps-openmpi
> lammps-openmpi-devel (OpenMPI unversiond libs + header files)
> lammps-mpich
> lammps-mpich-devel (MPICH unversiond libs + header files)
There are no MPI-specific headers, so lammps-*mpi*-devel would only contain the libs and would be useless without the devel package, so I put them into one.

It seems https://fedoraproject.org/wiki/Packaging:MPI suggested to use a lammps-headers package for that case.

> 
> - For epel* use 'BuildRequires: cmake3'
I haven't really starting working on epel7 support yet, but I wlll push that in.
Comment 4 Antonio Trande 2017-08-14 11:59:08 EDT
> Honestly lammps.py works with both, so should I just install 2 same files twice?

I guess you can install it in 'python3-sitearch' on Fedora (you need python3-devel) but 'python2-sitearch' on epel6 and 'python34-sitearch' on epel7.

Like 'python-vxi11': https://src.fedoraproject.org/rpms/python-vxi11/blob/master/f/python-vxi11.spec

Use Python macros, please: http://fedoraproject.org/wiki/Packaging:Python#Macros
Comment 5 Christoph Junghans 2017-08-14 16:46:54 EDT
(In reply to Antonio Trande from comment #4)
> > Honestly lammps.py works with both, so should I just install 2 same files twice?
> 
> I guess you can install it in 'python3-sitearch' on Fedora (you need
> python3-devel) but 'python2-sitearch' on epel6 and 'python34-sitearch' on
> epel7.
> 
> Like 'python-vxi11':
> https://src.fedoraproject.org/rpms/python-vxi11/blob/master/f/python-vxi11.
> spec
> 
> Use Python macros, please:
> http://fedoraproject.org/wiki/Packaging:Python#Macros
Done! I also did a version bump to drop the one patch.

Spec URL: https://fedorapeople.org/~junghans/lammps.spec
SRPM URL: https://fedorapeople.org/~junghans/lammps-20170811-1.fc25.src.rpm
Comment 6 Antonio Trande 2017-08-15 07:02:53 EDT
BuildRequires:  python-devel ??

Processing files: python3-lammps-20170811-1.fc27.x86_64
RPM build errors:
error: File must begin with "/": %{python3_sitelib}/lammps.py*
error: File must begin with "/": %{python3_sitelib}/__pycache__/lammps.*
    File must begin with "/": %{python3_sitelib}/lammps.py*
    File must begin with "/": %{python3_sitelib}/__pycache__/lammps.*


You need python3-devel and, please, rebuild your src package with mock or koji before commit a new packaging release.
Comment 7 Christoph Junghans 2017-08-15 12:51:55 EDT
(In reply to Antonio Trande from comment #6)
> BuildRequires:  python-devel ??
Done

> 
> Processing files: python3-lammps-20170811-1.fc27.x86_64
> RPM build errors:
> error: File must begin with "/": %{python3_sitelib}/lammps.py*
> error: File must begin with "/": %{python3_sitelib}/__pycache__/lammps.*
>     File must begin with "/": %{python3_sitelib}/lammps.py*
>     File must begin with "/": %{python3_sitelib}/__pycache__/lammps.*
> 
> 
> You need python3-devel and, please, rebuild your src package with mock or
> koji before commit a new packaging release.
My mistake:

Spec URL: https://fedorapeople.org/~junghans/lammps.spec
SRPM URL: https://fedorapeople.org/~junghans/lammps-20170811-2.fc25.src.rpm

Build on f27:
https://koji.fedoraproject.org/koji/taskinfo?taskID=21245043
Build on epel7:
https://koji.fedoraproject.org/koji/taskinfo?taskID=21244974
Comment 8 Antonio Trande 2017-08-15 15:56:16 EDT
Okay.

- Another issue: MPI libraries and binary files are not compiled with related MPI compilers. Use

export CC=mpicc
export CXX=mpicxx
export FC=mpif90
export F77=mpif77

before running '%cmake ...' commands; so

cd openmpi
%{_openmpi_load}
export CC=mpicc
export CXX=mpicxx
export FC=mpif90
export F77=mpif77
%{cmake3} \
  %{defopts} \
  -DENABLE_MPI=ON \
  -DENABLE_MPIIO=ON \
  -DCMAKE_INSTALL_BINDIR=$MPI_BIN \
  -DCMAKE_INSTALL_LIBDIR=$MPI_LIB \
  ../cmake
%make_build
%{_openmpi_unload}
cd ..

- Use 'Requires: openmpi' and 'Requires: mpich' for related lammps-*mpi* packages.

- Add python_provide macro to the Python sub-package
https://fedoraproject.org/wiki/Packaging:Python#Provides
Comment 9 Christoph Junghans 2017-08-15 16:05:20 EDT
(In reply to Antonio Trande from comment #8)
> Okay.
> 
> - Another issue: MPI libraries and binary files are not compiled with
> related MPI compilers. Use
> 
> export CC=mpicc
> export CXX=mpicxx
> export FC=mpif90
> export F77=mpif77
> 
> before running '%cmake ...' commands; so
> 
> cd openmpi
> %{_openmpi_load}
> export CC=mpicc
> export CXX=mpicxx
> export FC=mpif90
> export F77=mpif77
> %{cmake3} \
>   %{defopts} \
>   -DENABLE_MPI=ON \
>   -DENABLE_MPIIO=ON \
>   -DCMAKE_INSTALL_BINDIR=$MPI_BIN \
>   -DCMAKE_INSTALL_LIBDIR=$MPI_LIB \
>   ../cmake
> %make_build
> %{_openmpi_unload}
> cd ..
I think that is not needed, LAMMPS's cmake uses find_package(MPI) and then injects the MPI include dir (e.g. -I/usr/include/openmpi-x86_64) and the MPI library (e.g. /usr/lib64/openmpi/lib/libmpi_cxx.so) automatically.

> 
> - Use 'Requires: openmpi' and 'Requires: mpich' for related lammps-*mpi*
> packages.
Will do.

> 
> - Add python_provide macro to the Python sub-package
> https://fedoraproject.org/wiki/Packaging:Python#Provides
Will do.
Comment 10 Antonio Trande 2017-08-15 16:13:29 EDT
(In reply to Christoph Junghans from comment #9)
> (In reply to Antonio Trande from comment #8)
> > Okay.
> > 
> > - Another issue: MPI libraries and binary files are not compiled with
> > related MPI compilers. Use
> > 
> > export CC=mpicc
> > export CXX=mpicxx
> > export FC=mpif90
> > export F77=mpif77
> > 
> > before running '%cmake ...' commands; so
> > 
> > cd openmpi
> > %{_openmpi_load}
> > export CC=mpicc
> > export CXX=mpicxx
> > export FC=mpif90
> > export F77=mpif77
> > %{cmake3} \
> >   %{defopts} \
> >   -DENABLE_MPI=ON \
> >   -DENABLE_MPIIO=ON \
> >   -DCMAKE_INSTALL_BINDIR=$MPI_BIN \
> >   -DCMAKE_INSTALL_LIBDIR=$MPI_LIB \
> >   ../cmake
> > %make_build
> > %{_openmpi_unload}
> > cd ..
> I think that is not needed, LAMMPS's cmake uses find_package(MPI) and then
> injects the MPI include dir (e.g. -I/usr/include/openmpi-x86_64) and the MPI
> library (e.g. /usr/lib64/openmpi/lib/libmpi_cxx.so) automatically.
> 
> > 

Yes, instead.
Check, for example, the MPIs 'lmp' dependencies and you'll see that they're not correctly linked to the MPI libraries.
Comment 11 Christoph Junghans 2017-08-15 16:31:24 EDT
(In reply to Antonio Trande from comment #10)
> (In reply to Christoph Junghans from comment #9)
> > (In reply to Antonio Trande from comment #8)
> > > Okay.
> > > 
> > > - Another issue: MPI libraries and binary files are not compiled with
> > > related MPI compilers. Use
> > > 
> > > export CC=mpicc
> > > export CXX=mpicxx
> > > export FC=mpif90
> > > export F77=mpif77
> > > 
> > > before running '%cmake ...' commands; so
> > > 
> > > cd openmpi
> > > %{_openmpi_load}
> > > export CC=mpicc
> > > export CXX=mpicxx
> > > export FC=mpif90
> > > export F77=mpif77
> > > %{cmake3} \
> > >   %{defopts} \
> > >   -DENABLE_MPI=ON \
> > >   -DENABLE_MPIIO=ON \
> > >   -DCMAKE_INSTALL_BINDIR=$MPI_BIN \
> > >   -DCMAKE_INSTALL_LIBDIR=$MPI_LIB \
> > >   ../cmake
> > > %make_build
> > > %{_openmpi_unload}
> > > cd ..
> > I think that is not needed, LAMMPS's cmake uses find_package(MPI) and then
> > injects the MPI include dir (e.g. -I/usr/include/openmpi-x86_64) and the MPI
> > library (e.g. /usr/lib64/openmpi/lib/libmpi_cxx.so) automatically.
> > 
> > > 
> 
> Yes, instead.
> Check, for example, the MPIs 'lmp' dependencies and you'll see that they're
> not correctly linked to the MPI libraries.
Where do you see that?

In build.log (from https://kojipkgs.fedoraproject.org//work/tasks/5046/21245046/build.log), it says:
[100%] Linking CXX executable lmp
/usr/bin/cmake -E cmake_link_script CMakeFiles/lmp.dir/link.txt --verbose=1
/usr/bin/c++  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic  -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -rdynamic CMakeFiles/lmp.dir/builddir/build/BUILD/lammps-patch_11Aug2017/src/main.cpp.o  -o lmp -Wl,-rpath,/builddir/build/BUILD/lammps-patch_11Aug2017/openmpi:/usr/lib64/openmpi/lib: liblammps.so.0 /usr/lib64/openmpi/lib/libmpi_cxx.so /usr/lib64/openmpi/lib/libmpi.so -lfftw3 -lpython3.6m -ljpeg -lpng -lz -lm 
(for openmpi)
[100%] Linking CXX executable lmp
/usr/bin/cmake -E cmake_link_script CMakeFiles/lmp.dir/link.txt --verbose=1
/usr/bin/c++  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic  -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -rdynamic CMakeFiles/lmp.dir/builddir/build/BUILD/lammps-patch_11Aug2017/src/main.cpp.o  -o lmp -Wl,-rpath,/builddir/build/BUILD/lammps-patch_11Aug2017/mpich:/usr/lib64/mpich/lib: liblammps.so.0 /usr/lib64/mpich/lib/libmpicxx.so /usr/lib64/mpich/lib/libmpi.so -lfftw3 -lpython3.6m -ljpeg -lpng -lz -lm
(for mpich)
Comment 12 Antonio Trande 2017-08-15 16:50:30 EDT
$ mock --no-clean -r fedora-rawhide-x86_64 --shell 'rpmlint lammps-mpich; ldd /usr/lib64/mpich/bin/lmp'
INFO: mock.py version 1.4.3 starting (python version = 3.6.2)...
lammps-mpich.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-mpich.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-mpich.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Allgather
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_create
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Bcast
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Op_create
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Send
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_sync
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Isend
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Initialized
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Scatterv
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_shift
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_set_size
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_contiguous
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Scatter
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_open
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_free
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Barrier
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_read_at
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Group_incl
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Sendrecv
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Finalize
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Request_free
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Gather
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Rsend
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Recv
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_group
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_create
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_get
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_get_size
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Abort
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_write_at
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Get_version
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Scan
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Get_processor_name
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_size
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Waitall
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Reduce_scatter
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Error_string
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Allreduce
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Allgatherv
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_commit
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Wtime
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_size
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Reduce
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_write_at_all
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Waitany
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Wait
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_dup
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Irecv
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_rank
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Init
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Get_count
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_close
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_read_at_all
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Alltoallv
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Op_free
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_free
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_split
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_rank
lammps-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/liblammps.so.0 MPI_Gatherv
lammps-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/liblammps.so.0 libmpicxx.so.12
lammps-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/liblammps.so.0 libmpi.so.12
lammps-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/liblammps.so.0 /lib64/libquadmath.so.0
lammps-mpich.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/liblammps.so.0 exit@GLIBC_2.2.5
lammps-mpich.x86_64: W: no-documentation
lammps-mpich.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/liblammps.so.0
lammps-mpich.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/liblammps.so.0
1 packages and 0 specfiles checked; 2 errors, 67 warnings.
	linux-vdso.so.1 (0x00007fff90ba2000)
	liblammps.so.0 => /lib64/liblammps.so.0 (0x00007f1e9ed60000)
	libmpicxx.so.12 => not found
	libmpi.so.12 => not found
	libfftw3.so.3 => /lib64/libfftw3.so.3 (0x00007f1e9e95c000)
	libpython3.6m.so.1.0 => /lib64/libpython3.6m.so.1.0 (0x00007f1e9e3fe000)
	libjpeg.so.62 => /lib64/libjpeg.so.62 (0x00007f1e9e194000)
	libpng16.so.16 => /lib64/libpng16.so.16 (0x00007f1e9df61000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f1e9dd4a000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f1e9d9c2000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f1e9d66d000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f1e9d456000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f1e9d06f000)
	libgfortran.so.4 => /lib64/libgfortran.so.4 (0x00007f1e9cc93000)
	libquadmath.so.0 => /lib64/libquadmath.so.0 (0x00007f1e9ca53000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f1e9c834000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f1e9c630000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00007f1e9c42d000)
	/lib64/ld-linux-x86-64.so.2 (0x000055b26aa2c000)
Finish: shell
Comment 13 Christoph Junghans 2017-08-15 17:04:21 EDT
(In reply to Antonio Trande from comment #12)
> $ mock --no-clean -r fedora-rawhide-x86_64 --shell 'rpmlint lammps-mpich;
> ldd /usr/lib64/mpich/bin/lmp'
> INFO: mock.py version 1.4.3 starting (python version = 3.6.2)...
> lammps-mpich.x86_64: W: spelling-error %description -l en_US biomolecules ->
> bio molecules, bio-molecules, molecules
> lammps-mpich.x86_64: W: spelling-error %description -l en_US mesoscopic ->
> microscopic
> lammps-mpich.x86_64: W: spelling-error %description -l en_US meso -> mes,
> meson, mess
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Allgather
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_create
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Bcast
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Op_create
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Send
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_sync
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Isend
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Initialized
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Scatterv
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_shift
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_set_size
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_contiguous
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Scatter
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_open
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_free
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Barrier
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_read_at
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Group_incl
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Sendrecv
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Finalize
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Request_free
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Gather
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Rsend
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Recv
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_group
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_create
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_get
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_get_size
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Abort
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_write_at
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Get_version
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Scan
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Get_processor_name
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_size
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Waitall
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Reduce_scatter
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Error_string
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Allreduce
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Allgatherv
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_commit
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Wtime
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Type_size
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Reduce
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_write_at_all
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Waitany
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Wait
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_dup
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Irecv
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_rank
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Init
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Get_count
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_close
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_File_read_at_all
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Alltoallv
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Op_free
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_free
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Comm_split
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Cart_rank
> lammps-mpich.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/mpich/lib/liblammps.so.0 MPI_Gatherv
> lammps-mpich.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/mpich/lib/liblammps.so.0 libmpicxx.so.12
> lammps-mpich.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/mpich/lib/liblammps.so.0 libmpi.so.12
> lammps-mpich.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/mpich/lib/liblammps.so.0 /lib64/libquadmath.so.0
> lammps-mpich.x86_64: W: shared-lib-calls-exit
> /usr/lib64/mpich/lib/liblammps.so.0 exit@GLIBC_2.2.5
> lammps-mpich.x86_64: W: no-documentation
> lammps-mpich.x86_64: E: library-without-ldconfig-postin
> /usr/lib64/mpich/lib/liblammps.so.0
> lammps-mpich.x86_64: E: library-without-ldconfig-postun
> /usr/lib64/mpich/lib/liblammps.so.0
> 1 packages and 0 specfiles checked; 2 errors, 67 warnings.
> 	linux-vdso.so.1 (0x00007fff90ba2000)
> 	liblammps.so.0 => /lib64/liblammps.so.0 (0x00007f1e9ed60000)
> 	libmpicxx.so.12 => not found
> 	libmpi.so.12 => not found
> 	libfftw3.so.3 => /lib64/libfftw3.so.3 (0x00007f1e9e95c000)
> 	libpython3.6m.so.1.0 => /lib64/libpython3.6m.so.1.0 (0x00007f1e9e3fe000)
> 	libjpeg.so.62 => /lib64/libjpeg.so.62 (0x00007f1e9e194000)
> 	libpng16.so.16 => /lib64/libpng16.so.16 (0x00007f1e9df61000)
> 	libz.so.1 => /lib64/libz.so.1 (0x00007f1e9dd4a000)
> 	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f1e9d9c2000)
> 	libm.so.6 => /lib64/libm.so.6 (0x00007f1e9d66d000)
> 	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f1e9d456000)
> 	libc.so.6 => /lib64/libc.so.6 (0x00007f1e9d06f000)
> 	libgfortran.so.4 => /lib64/libgfortran.so.4 (0x00007f1e9cc93000)
> 	libquadmath.so.0 => /lib64/libquadmath.so.0 (0x00007f1e9ca53000)
> 	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f1e9c834000)
> 	libdl.so.2 => /lib64/libdl.so.2 (0x00007f1e9c630000)
> 	libutil.so.1 => /lib64/libutil.so.1 (0x00007f1e9c42d000)
> 	/lib64/ld-linux-x86-64.so.2 (0x000055b26aa2c000)
> Finish: shell
I saw that before for other mpi-enabled packages, if I recall correctly mock has no support for mpi and hence doesn't do a "module load mpi/openmpi-x86_64", which would prepend /usr/lib64/openmpi/lib to LD_LIBRARY_PATH (see module show "mpi/openmpi-x86_64") and fix the above issue. rpath aren't allowed for mpi packages either, so I am not sure how you want to fix.

And setting CXX and friends won't change anything as mpicxx is internally just adding the same include paths and libraries to the flags:
$ mpicxx --showme
g++ -I/usr/include/openmpi-x86_64 -pthread -Wl,-rpath -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags -L/usr/lib64/openmpi/lib -lmpi_cxx -lmpi
Comment 14 Antonio Trande 2017-08-16 05:59:21 EDT
(In reply to Christoph Junghans from comment #13)
> I saw that before for other mpi-enabled packages, if I recall correctly mock
> has no support for mpi and hence doesn't do a "module load
> mpi/openmpi-x86_64", which would prepend /usr/lib64/openmpi/lib to
> LD_LIBRARY_PATH (see module show "mpi/openmpi-x86_64") and fix the above
> issue. rpath aren't allowed for mpi packages either, so I am not sure how
> you want to fix.
> 
> And setting CXX and friends won't change anything as mpicxx is internally
> just adding the same include paths and libraries to the flags:
> $ mpicxx --showme
> g++ -I/usr/include/openmpi-x86_64 -pthread -Wl,-rpath
> -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags -L/usr/lib64/openmpi/lib
> -lmpi_cxx -lmpi

All MPI files are compiled with MPI compilers as required by the guidelines; Sundials MPI libraries for example do not need to load any module in Mock:

$ mock --no-clean -r fedora-rawhide-x86_64 --shell 'ldd /usr/lib64/openmpi/lib/libsundials_nvecparallel.so.2'
Start: shell
	linux-vdso.so.1 (0x00007fff9e309000)
	libm.so.6 => /lib64/libm.so.6 (0x00007fa6b2969000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fa6b274a000)
	libgomp.so.1 => /lib64/libgomp.so.1 (0x00007fa6b251b000)
	libklu.so.1 => /lib64/libklu.so.1 (0x00007fa6b22e6000)
	libHYPRE.so.0.0 => /usr/lib64/openmpi/lib/libHYPRE.so.0.0 (0x00007fa6b1c62000)
	libmpi.so.20 => /usr/lib64/openmpi/lib/libmpi.so.20 (0x00007fa6b195f000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fa6b157a000)
	/lib64/ld-linux-x86-64.so.2 (0x0000558ae39ba000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fa6b1376000)
	libamd.so.2 => /lib64/libamd.so.2 (0x00007fa6b116a000)
	libcolamd.so.2 => /lib64/libcolamd.so.2 (0x00007fa6b0f62000)
	libbtf.so.1 => /lib64/libbtf.so.1 (0x00007fa6b0d5e000)
	libsuitesparseconfig.so.4 => /lib64/libsuitesparseconfig.so.4 (0x00007fa6b0b59000)
	libopenblas.so.0 => /lib64/libopenblas.so.0 (0x00007fa6ae77a000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fa6ae3f2000)
	libsuperlu.so.5.1 => /lib64/libsuperlu.so.5.1 (0x00007fa6ae17a000)
	libmpi_cxx.so.20 => /usr/lib64/openmpi/lib/libmpi_cxx.so.20 (0x00007fa6adf5f000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fa6add48000)
	libopen-rte.so.20 => /usr/lib64/openmpi/lib/libopen-rte.so.20 (0x00007fa6adabc000)
	libopen-pal.so.20 => /usr/lib64/openmpi/lib/libopen-pal.so.20 (0x00007fa6ad808000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fa6ad600000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00007fa6ad3fd000)
	libhwloc.so.5 => /lib64/libhwloc.so.5 (0x00007fa6ad1c1000)
	libgfortran.so.4 => /lib64/libgfortran.so.4 (0x00007fa6acde5000)
	libsatlas.so.3 => /usr/lib64/atlas/libsatlas.so.3 (0x00007fa6abfea000)
	libnuma.so.1 => /lib64/libnuma.so.1 (0x00007fa6abddf000)
	libltdl.so.7 => /lib64/libltdl.so.7 (0x00007fa6abbd5000)
	libquadmath.so.0 => /lib64/libquadmath.so.0 (0x00007fa6ab995000)

Understand your doubts, so you can also ask any better clarification on devel mailing list.
Comment 15 Christoph Junghans 2017-08-16 12:48:27 EDT
(In reply to Antonio Trande from comment #14)
> (In reply to Christoph Junghans from comment #13)
> > I saw that before for other mpi-enabled packages, if I recall correctly mock
> > has no support for mpi and hence doesn't do a "module load
> > mpi/openmpi-x86_64", which would prepend /usr/lib64/openmpi/lib to
> > LD_LIBRARY_PATH (see module show "mpi/openmpi-x86_64") and fix the above
> > issue. rpath aren't allowed for mpi packages either, so I am not sure how
> > you want to fix.
> > 
> > And setting CXX and friends won't change anything as mpicxx is internally
> > just adding the same include paths and libraries to the flags:
> > $ mpicxx --showme
> > g++ -I/usr/include/openmpi-x86_64 -pthread -Wl,-rpath
> > -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags -L/usr/lib64/openmpi/lib
> > -lmpi_cxx -lmpi
> 
> All MPI files are compiled with MPI compilers as required by the guidelines;
https://fedoraproject.org/wiki/Packaging:MPI doesn't list CC=mpicc as a must item and it would also be a really bad idea in general, e.g. for codes, which have mixed serial and parallel code. (Which isn't the case for LAMMPS though).

> Sundials MPI libraries for example do not need to load any module in Mock:
> 
> $ mock --no-clean -r fedora-rawhide-x86_64 --shell 'ldd
> /usr/lib64/openmpi/lib/libsundials_nvecparallel.so.2'
> Start: shell
> 	linux-vdso.so.1 (0x00007fff9e309000)
> 	libm.so.6 => /lib64/libm.so.6 (0x00007fa6b2969000)
> 	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fa6b274a000)
> 	libgomp.so.1 => /lib64/libgomp.so.1 (0x00007fa6b251b000)
> 	libklu.so.1 => /lib64/libklu.so.1 (0x00007fa6b22e6000)
> 	libHYPRE.so.0.0 => /usr/lib64/openmpi/lib/libHYPRE.so.0.0
> (0x00007fa6b1c62000)
> 	libmpi.so.20 => /usr/lib64/openmpi/lib/libmpi.so.20 (0x00007fa6b195f000)
> 	libc.so.6 => /lib64/libc.so.6 (0x00007fa6b157a000)
> 	/lib64/ld-linux-x86-64.so.2 (0x0000558ae39ba000)
> 	libdl.so.2 => /lib64/libdl.so.2 (0x00007fa6b1376000)
> 	libamd.so.2 => /lib64/libamd.so.2 (0x00007fa6b116a000)
> 	libcolamd.so.2 => /lib64/libcolamd.so.2 (0x00007fa6b0f62000)
> 	libbtf.so.1 => /lib64/libbtf.so.1 (0x00007fa6b0d5e000)
> 	libsuitesparseconfig.so.4 => /lib64/libsuitesparseconfig.so.4
> (0x00007fa6b0b59000)
> 	libopenblas.so.0 => /lib64/libopenblas.so.0 (0x00007fa6ae77a000)
> 	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fa6ae3f2000)
> 	libsuperlu.so.5.1 => /lib64/libsuperlu.so.5.1 (0x00007fa6ae17a000)
> 	libmpi_cxx.so.20 => /usr/lib64/openmpi/lib/libmpi_cxx.so.20
> (0x00007fa6adf5f000)
> 	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fa6add48000)
> 	libopen-rte.so.20 => /usr/lib64/openmpi/lib/libopen-rte.so.20
> (0x00007fa6adabc000)
> 	libopen-pal.so.20 => /usr/lib64/openmpi/lib/libopen-pal.so.20
> (0x00007fa6ad808000)
> 	librt.so.1 => /lib64/librt.so.1 (0x00007fa6ad600000)
> 	libutil.so.1 => /lib64/libutil.so.1 (0x00007fa6ad3fd000)
> 	libhwloc.so.5 => /lib64/libhwloc.so.5 (0x00007fa6ad1c1000)
> 	libgfortran.so.4 => /lib64/libgfortran.so.4 (0x00007fa6acde5000)
> 	libsatlas.so.3 => /usr/lib64/atlas/libsatlas.so.3 (0x00007fa6abfea000)
> 	libnuma.so.1 => /lib64/libnuma.so.1 (0x00007fa6abddf000)
> 	libltdl.so.7 => /lib64/libltdl.so.7 (0x00007fa6abbd5000)
> 	libquadmath.so.0 => /lib64/libquadmath.so.0 (0x00007fa6ab995000)
> 
> Understand your doubts, so you can also ask any better clarification on
> devel mailing list.
Ok, I got it.
$ objdump -x libsundials_nvecparallel.so.2 | grep R.*PATH
  RUNPATH              /usr/lib64/openmpi/lib
which comes from the "-Wl,-rpath -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags" in mpicxx, so reading https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Beware_of_Rpath, I am a bit unsure if only RPATH is contempt or RUNPATH as well.

Anyhow, we can get the same behavior as in sundials by adding -DCMAKE_SHARED_LINKER_FLAGS_DEBUG:STRING="%{__global_ldflags} -Wl,-rpath -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags". Is that ok with you?
Comment 17 Antonio Trande 2017-08-17 14:09:10 EDT

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- lammps-openmpi and lammps-mpich do not need 'Buildrequires:'

- 'Requires: mpich or openmpi' are lines for 'lammps-openmpi' or 'lammps-mpich'
  respectively

- lammps-openmpi and lammps-mpich do not provide their own LICENSE


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "*No copyright* GPL", "MIT/X11 (BSD like)", "SIL (v1.1)",
     "BSD (unspecified)", "GPL (v2 or later) (with incorrect FSF address)",
     "*No copyright* CC0", "BSD (3 clause)", "BSD (2 clause)", "*No
     copyright* MIT/X11 (BSD like)". 5522 files have unknown license.
     Detailed output of licensecheck in
     /home/sagitter/1474958-lammps/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lammps-
     openmpi , lammps-mpich , lammps-headers , lammps-mpich-devel , lammps-
     openmpi-devel , lammps-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lammps-20170811-4.fc27.x86_64.rpm
          lammps-openmpi-20170811-4.fc27.x86_64.rpm
          lammps-mpich-20170811-4.fc27.x86_64.rpm
          python3-lammps-20170811-4.fc27.x86_64.rpm
          lammps-headers-20170811-4.fc27.x86_64.rpm
          lammps-devel-20170811-4.fc27.x86_64.rpm
          lammps-mpich-devel-20170811-4.fc27.x86_64.rpm
          lammps-openmpi-devel-20170811-4.fc27.x86_64.rpm
          lammps-debuginfo-20170811-4.fc27.x86_64.rpm
          lammps-20170811-4.fc27.src.rpm
lammps.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps.x86_64: W: shared-lib-calls-exit /usr/lib64/liblammps.so.0 exit@GLIBC_2.2.5
lammps.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lammps.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lammps.x86_64: W: no-manual-page-for-binary lmp
lammps-openmpi.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-openmpi.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-openmpi.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-openmpi.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/liblammps.so.0 exit@GLIBC_2.2.5
lammps-openmpi.x86_64: W: no-documentation
lammps-openmpi.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lammps-openmpi.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lammps-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/liblammps.so.0
lammps-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/liblammps.so.0
lammps-mpich.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-mpich.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-mpich.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-mpich.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/liblammps.so.0 exit@GLIBC_2.2.5
lammps-mpich.x86_64: W: no-documentation
lammps-mpich.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lammps-mpich.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lammps-mpich.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/liblammps.so.0
lammps-mpich.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/liblammps.so.0
python3-lammps.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
python3-lammps.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
python3-lammps.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
python3-lammps.x86_64: W: no-documentation
lammps-headers.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-headers.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-headers.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-headers.x86_64: W: no-documentation
lammps-devel.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-devel.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-devel.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-devel.x86_64: W: only-non-binary-in-usr-lib
lammps-devel.x86_64: W: no-documentation
lammps-mpich-devel.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-mpich-devel.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-mpich-devel.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
lammps-mpich-devel.x86_64: W: no-documentation
lammps-openmpi-devel.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-openmpi-devel.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-openmpi-devel.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
lammps-openmpi-devel.x86_64: W: no-documentation
lammps-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
lammps.src: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps.src: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps.src: W: spelling-error %description -l en_US meso -> mes, meson, mess
10 packages and 0 specfiles checked; 5 errors, 47 warnings.




Rpmlint (debuginfo)
-------------------
Checking: lammps-debuginfo-20170811-4.fc27.x86_64.rpm
          lammps-openmpi-debuginfo-20170811-4.fc27.x86_64.rpm
          lammps-mpich-debuginfo-20170811-4.fc27.x86_64.rpm
lammps-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
lammps-openmpi-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
lammps-openmpi-debuginfo.x86_64: E: debuginfo-without-sources
lammps-mpich-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
lammps-mpich-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 5 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
lammps-openmpi.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-openmpi.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-openmpi.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/liblammps.so.0 /lib64/libquadmath.so.0
lammps-openmpi.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/liblammps.so.0 exit@GLIBC_2.2.5
lammps-openmpi.x86_64: W: no-documentation
lammps-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/liblammps.so.0
lammps-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/liblammps.so.0
lammps-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
lammps-headers.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-headers.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-headers.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-headers.x86_64: W: no-documentation
lammps.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblammps.so.0 /lib64/libquadmath.so.0
lammps.x86_64: W: shared-lib-calls-exit /usr/lib64/liblammps.so.0 exit@GLIBC_2.2.5
lammps.x86_64: W: no-manual-page-for-binary lmp
python3-lammps.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
python3-lammps.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
python3-lammps.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
python3-lammps.x86_64: W: no-documentation
lammps-mpich-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
lammps-mpich-debuginfo.x86_64: E: debuginfo-without-sources
lammps-openmpi-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
lammps-openmpi-debuginfo.x86_64: E: debuginfo-without-sources
lammps-devel.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-devel.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-devel.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-devel.x86_64: W: only-non-binary-in-usr-lib
lammps-devel.x86_64: W: no-documentation
lammps-mpich.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-mpich.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-mpich.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/liblammps.so.0 /usr/lib64/mpich/lib/libmpicxx.so.12
lammps-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/liblammps.so.0 /lib64/libquadmath.so.0
lammps-mpich.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/liblammps.so.0 exit@GLIBC_2.2.5
lammps-mpich.x86_64: W: no-documentation
lammps-mpich.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/liblammps.so.0
lammps-mpich.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/liblammps.so.0
lammps-mpich-devel.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-mpich-devel.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-mpich-devel.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
lammps-mpich-devel.x86_64: W: no-documentation
lammps-openmpi-devel.x86_64: W: spelling-error %description -l en_US biomolecules -> bio molecules, bio-molecules, molecules
lammps-openmpi-devel.x86_64: W: spelling-error %description -l en_US mesoscopic -> microscopic
lammps-openmpi-devel.x86_64: W: spelling-error %description -l en_US meso -> mes, meson, mess
lammps-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
lammps-openmpi-devel.x86_64: W: no-documentation
11 packages and 0 specfiles checked; 9 errors, 42 warnings.



Requires
--------
lammps-openmpi (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libfftw3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.4()(64bit)
    libgfortran.so.4(GFORTRAN_7)(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblammps.so.0()(64bit)(openmpi-x86_64)
    libm.so.6()(64bit)
    libmpi.so.20()(64bit)(openmpi-x86_64)
    libmpi_cxx.so.20()(64bit)(openmpi-x86_64)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpython3.6m.so.1.0()(64bit)
    libquadmath.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

lammps-debuginfo (rpmlib, GLIBC filtered):

lammps-headers (rpmlib, GLIBC filtered):

lammps (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libfftw3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.4()(64bit)
    libgfortran.so.4(GFORTRAN_7)(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblammps.so.0()(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpython3.6m.so.1.0()(64bit)
    libquadmath.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

python3-lammps (rpmlib, GLIBC filtered):
    lammps(x86-64)
    python(abi)
    python3

lammps-devel (rpmlib, GLIBC filtered):
    lammps(x86-64)
    lammps-headers(x86-64)
    liblammps.so.0()(64bit)

lammps-mpich (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libfftw3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.4()(64bit)
    libgfortran.so.4(GFORTRAN_7)(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblammps.so.0()(64bit)(mpich-x86_64)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)(mpich-x86_64)
    libmpicxx.so.12()(64bit)(mpich-x86_64)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpython3.6m.so.1.0()(64bit)
    libquadmath.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

lammps-mpich-devel (rpmlib, GLIBC filtered):
    lammps-headers(x86-64)
    lammps-mpich(x86-64)
    liblammps.so.0()(64bit)(mpich-x86_64)
    mpich

lammps-openmpi-devel (rpmlib, GLIBC filtered):
    lammps-headers(x86-64)
    lammps-openmpi(x86-64)
    liblammps.so.0()(64bit)(openmpi-x86_64)
    openmpi



Provides
--------
lammps-openmpi:
    lammps-openmpi
    lammps-openmpi(x86-64)
    liblammps.so.0()(64bit)(openmpi-x86_64)

lammps-debuginfo:
    debuginfo(build-id)
    lammps-debuginfo
    lammps-debuginfo(x86-64)

lammps-headers:
    lammps-headers
    lammps-headers(x86-64)

lammps:
    lammps
    lammps(x86-64)
    liblammps.so.0()(64bit)

python3-lammps:
    python3-lammps
    python3-lammps(x86-64)

lammps-devel:
    lammps-devel
    lammps-devel(x86-64)

lammps-mpich:
    lammps-mpich
    lammps-mpich(x86-64)
    liblammps.so.0()(64bit)(mpich-x86_64)

lammps-mpich-devel:
    lammps-mpich-devel
    lammps-mpich-devel(x86-64)

lammps-openmpi-devel:
    lammps-openmpi-devel
    lammps-openmpi-devel(x86-64)



Source checksums
----------------
https://github.com/lammps/lammps/archive/patch_11Aug2017.tar.gz#/lammps-patch_11Aug2017.tar.gz :
  CHECKSUM(SHA256) this package     : 0b643650c5cc33f63b7200d786a990a503482d9c762af24c3176877498b3a5dd
  CHECKSUM(SHA256) upstream package : 0b643650c5cc33f63b7200d786a990a503482d9c762af24c3176877498b3a5dd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1474958
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 18 Christoph Junghans 2017-08-17 16:18:35 EDT
Thanks!

(In reply to Antonio Trande from comment #17)
> Issues:
> =======
> - lammps-openmpi and lammps-mpich do not need 'Buildrequires:'
Done

> - 'Requires: mpich or openmpi' are lines for 'lammps-openmpi' or
> 'lammps-mpich'
>   respectively
Done

> - lammps-openmpi and lammps-mpich do not provide their own LICENSE
Done

Spec URL: https://fedorapeople.org/~junghans/lammps.spec
SRPM URL: https://fedorapeople.org/~junghans/lammps-20170811-5.fc25.src.rpm
Comment 19 Antonio Trande 2017-08-18 06:21:09 EDT
Package approved.
Comment 20 Gwyn Ciesla 2017-08-18 08:47:42 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/lammps
Comment 21 Fedora Update System 2017-08-18 17:55:10 EDT
lammps-20170811-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f348e9d287
Comment 22 Fedora Update System 2017-08-20 20:20:39 EDT
lammps-20170811-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-628075ea93
Comment 23 Fedora Update System 2017-08-20 21:22:04 EDT
lammps-20170811-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f348e9d287
Comment 24 Fedora Update System 2017-08-22 14:07:02 EDT
lammps-20170811-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-34fadcf36d
Comment 25 Fedora Update System 2017-08-28 18:21:52 EDT
lammps-20170811-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2017-08-31 10:54:30 EDT
lammps-20170811-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2017-09-04 13:49:42 EDT
lammps-20170811-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.